> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/users/user-email-preferences-mailhub.md).

# User email preferences - Mailhub

## GET /mailhub/users/{userId}/preferences

> Get preferences

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User email preferences - Mailhub"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/mailhub/users/{userId}/preferences":{"get":{"tags":["Users / User email preferences - Mailhub"],"summary":"Get preferences","parameters":[{"name":"userId","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"preferences":{"type":"object","properties":{"id":{"type":"integer"},"uuid":{"type":"string"},"email":{"type":"string","format":"email"},"is_email_verified":{"type":"boolean"},"global":{"type":"object","properties":{"isEmailVerified":{"type":"boolean"},"preferences":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"enabled":{"type":"boolean"},"label":{"type":"string"},"description":{"type":"string"}}}}}},"zones":{"type":"array","items":{}}}}}}}}}}}}}}
```

## PATCH /mailhub/users/{userId}/preferences

> Update global preferences

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User email preferences - Mailhub"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/mailhub/users/{userId}/preferences":{"patch":{"tags":["Users / User email preferences - Mailhub"],"summary":"Update global preferences","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"enabled":{"type":"boolean"}}}}}},"parameters":[{"name":"userId","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"preferences":{"type":"object","properties":{"global":{"type":"object","properties":{"preferences":{"type":"object","properties":{"id":{"type":"string"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}}}}
```

## GET /mailhub/users/{userId}/organizations/{organizationId}/teams/{teamId}/preferences

> Get team preferences

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User email preferences - Mailhub"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/mailhub/users/{userId}/organizations/{organizationId}/teams/{teamId}/preferences":{"get":{"tags":["Users / User email preferences - Mailhub"],"summary":"Get team preferences","parameters":[{"name":"userId","in":"path","schema":{"type":"string"},"required":true},{"name":"organizationId","in":"path","schema":{"type":"string"},"required":true},{"name":"teamId","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer"},"uuid":{"type":"string"},"email":{"type":"string","format":"email"},"is_email_verified":{"type":"boolean"},"team":{"type":"object","properties":{"teamId":{"type":"integer"},"teamName":{"type":"string"},"preferences":{"type":"object","properties":{"native":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"subscribed":{"type":"boolean"},"label":{"type":"string"},"description":{"type":"string"}}}},"marketing":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"enabled":{"type":"boolean"},"label":{"type":"string"},"description":{"type":"string"}}}}}}}}}}}}}}}}}}
```

## PATCH /mailhub/users/{userId}/organizations/{organizationId}/teams/{teamId}/preferences

> Update team preferences

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User email preferences - Mailhub"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/mailhub/users/{userId}/organizations/{organizationId}/teams/{teamId}/preferences":{"patch":{"tags":["Users / User email preferences - Mailhub"],"summary":"Update team preferences","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"enabled":{"type":"boolean"}}}}}},"parameters":[{"name":"userId","in":"path","schema":{"type":"string"},"required":true},{"name":"organizationId","in":"path","schema":{"type":"string"},"required":true},{"name":"teamId","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"team":{"type":"object","properties":{"preferences":{"type":"object","properties":{"id":{"type":"string"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}}
```

## Update team native preferences

> Updates a native email notification preference of a team for the user associated with the API key used for authentication.\
> \
> Some notification types require a specific team permission. Enabling such a type for a user who does not hold the required permission fails with \`403\`. Disabling a notification type is always allowed, regardless of permissions or feature flags.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User email preferences - Mailhub"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/mailhub/users/{userId}/organizations/{organizationId}/teams/{teamId}/native-preferences":{"patch":{"tags":["Users / User email preferences - Mailhub"],"summary":"Update team native preferences","description":"Updates a native email notification preference of a team for the user associated with the API key used for authentication.\n\nSome notification types require a specific team permission. Enabling such a type for a user who does not hold the required permission fails with `403`. Disabling a notification type is always allowed, regardless of permissions or feature flags.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"utc-millisec"},"enabled":{"type":"boolean"}}}}}},"parameters":[{"name":"userId","in":"path","schema":{"type":"string"},"required":true},{"name":"organizationId","in":"path","schema":{"type":"string"},"required":true},{"name":"teamId","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"team":{"type":"object","properties":{"preferences":{"type":"object","properties":{"id":{"type":"string"},"enabled":{"type":"boolean"}}}}}}}}}},"403":{"description":"Forbidden - the user lacks the team permission required to enable this notification type","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/api-documentation/api-reference/users/user-email-preferences-mailhub.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
